## The Broad Institute
## SOFTWARE COPYRIGHT NOTICE AGREEMENT
## This software and its documentation are copyright (2013) by the
## Broad Institute/Massachusetts Institute of Technology. All rights are
## reserved.
##
## This software is supplied without any warranty or guaranteed support
## whatsoever. Neither the Broad Institute nor MIT can be responsible for its
## use, misuse, or functionality.

print("Beginning runGP_CL_expect")

args <- commandArgs(trailingOnly=TRUE)

vers <- "3.2"            # R version
libdir <- args[1]
print(paste("libdir: ",libdir))
server.dir <- args[2]
print(paste("server.dir: ",server.dir))
patch.dir <- args[3]
print(paste("patch.dir: ",patch.dir))

#source(file.path(libdir, "loadRLibrary.R"))
#load.packages(libdir, patch.dir, server.dir, vers)
install.packages('getopt')
install.packages('optparse')


library(getopt)
library(optparse)
library(methods)

print("Packages loaded")

option_list <- list(
  make_option("--gct.file", dest = "gct.file"),
  make_option("--removelist", dest="removelist"),
  make_option("--sample.info.file", dest="sample.info.file"),
  make_option("--cn.segtab", dest="cn.segtab"),
  make_option("--CN.file", dest = "CN.file"),
  make_option("--keep.list", dest = "keep.list", default = NULL)
)

opt <- parse_args(OptionParser(option_list=option_list), positional_arguments=TRUE, args=args)
print(opt)
opts <- opt$options

print("Beginning to source all R scripts")

source(paste(libdir, "common2.R", sep=''))
source(paste(libdir, "Achilles_common.R", sep=''))
source(paste(libdir, "remove_trailing.R", sep=''))
source(paste(libdir, "CL_expect.R", sep=''))


print("All R scripts sourced")

sessionInfo()

print("Beginning Function")

CL_expect(gct.file = opts$gct.file,removelist = opts$removelist, sample.info.file = opts$sample.info.file,cn.segtab =opts$cn.segtab,CN.file = opts$CN.file,keep.list = opts$keep.list)